import { RouteHandlerMethod } from 'fastify';
import { CardServiceImpl } from './service';

export class CardControllerImpl {
  readonly generate: RouteHandlerMethod = async (request, reply) => {
    const query = request.query as Record<string, unknown>;
    const cardSources = query.cards as string[] | undefined;
    reply.send(CardServiceImpl.generate(cardSources));
  };
}
